Get facility by ID
curl --request GET \
--url https://api.maxcare.ai/v3/facilities/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://api.maxcare.ai/v3/facilities/{id}"
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.maxcare.ai/v3/facilities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"id": "fac_b2c3d4e5f6a74b8c9d0e1f2a3b4c5d6e",
"name": "West LA Dermatology",
"timezone": "America/Los_Angeles",
"address": {
"line1": "123 Medical Center Dr",
"line2": "Suite 200",
"city": "Los Angeles",
"state": "CA",
"zipcode": "90025"
},
"specialty": "Dermatology",
"organizationNpi": "1234567890",
"createdAt": "2024-05-01T10:00:00.000Z",
"updatedAt": "2025-01-15T12:30:00.000Z"
}
}{
"code": "bad_request",
"message": "'id' must be a valid UUID",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "unauthorized",
"message": "Invalid or missing API key",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "forbidden",
"message": "Insufficient scope",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "not_found",
"message": "Resource not found",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Maximum 1000 requests per 60 seconds.",
"trace_id": "550e8400-e29b-41d4-a716-446655440000"
}Facilities
Get facility by ID
Returns a single facility by ID. Requires read:facilities scope.
GET
/
facilities
/
{id}
Get facility by ID
